<template>
  <v-row>
    <v-col cols="12" class="pb-0">
      <p class="text-h5">Logout GIBZ App</p>
    </v-col>
  </v-row>
  <v-row>
    <v-col>
      <p class="text-body-1">Die Abmeldung war erfolgreich. Sie werden nun zurück zur Applikation geleitet...</p>
      
      <div class="mb-4"></div>
    </v-col>
  </v-row>
  <!-- <v-row justify="center">
    <v-col cols="auto" justify-content="center" class="mb-5">
      <v-btn @click="backToClientApplication">Zurück zur Applikation</v-btn>
    </v-col>
  </v-row> -->
  <iframe ref="signOutIFrame"></iframe>
</template>

<script lang="ts" setup>
const route = useRoute("/logout");
const signOutIFrame = useTemplateRef<HTMLIFrameElement>("signOutIFrame");

onMounted(() => {
  loadUrls();
});

function loadUrls() {
  const logoutId = route.query.logoutId?.toString() ?? "";

  fetch("/v1/logout", {
    method: "POST",
    credentials: "include",
    body: JSON.stringify(logoutId),
    headers: { "Content-Type": "application/json" },
  })
    .then((response) => response.json())
    .then((data) => {
      console.log("DATA-LOG");
      console.log(data);
      if (data.iframeUrl && signOutIFrame.value) {
        signOutIFrame.value.src = data.iframeUrl;
      }

      if (data.postLogoutRedirectUri) {
        window.location.href = data.postLogoutRedirectUri;
      }
    });
}

// function backToClientApplication() {
//   if (postLogoutRedirectUri.value) {
//     window.location.href = postLogoutRedirectUri.value;
//   }
// }
</script>

<style scoped>
iframe {
  display: none;
  width: 0;
  height: 0;
}
</style>
